<?php
  $tab = array
  (
    'indeks1' => 5,
    'indeks9' => 1,
    'indeks3' => 8,
    'indeks5' => 2
  );
  echo "Zawartość tablicy przed sortowaniem:<br>";
  foreach($tab as $key => $val){
    echo("tab[$key] = $val");
    echo("<br>");
  }

  asort($tab);

  echo "<br>Po sortowaniu względem wartości:<br>";
  foreach($tab as $key => $val){
    echo("tab[$key] = $val");
    echo("<br>");
  }

  ksort($tab);

  echo "<br>Po sortowaniu względem kluczy:<br>";
  foreach($tab as $key => $val){
    echo "tab[$key] = $val";
    echo "<br>";
  }
?>
